---

- name: Install Defender package from Microsoft repository.
  ansible.builtin.script: "/tmp/mde_install/mde_installer.sh --install --channel prod --onboard /tmp/mde_install/mdatp_onboard.json --tag GROUP Mandant_oneO --min_req -y"
  register: script_output
  args:
    executable: sudo
  when:
    - not uninstall

- name: Display the installation output
  ansible.builtin.debug:
    msg: "Return code [{{ script_output.rc }}] {{ script_output.stdout }}"

- name: Display any installation errors
  ansible.builtin.debug:
    msg: "{{ script_output.stderr }}"